If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

File.Size is returning wrong file size in Linux and Mac

VERIFIED FIXED in M16

Status

Core Graveyard
Installer: XPInstall Engine
P3
normal
VERIFIED FIXED
18 years ago
2 years ago

People

(Reporter: David Epstein, Assigned: dbragg)

Tracking

({pp})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

18 years ago
builds 2000-03-07. Another pathway problem. Linux and Mac.
1. Go to http://jimbob/trigger2.html
2. Enter a_fileop_filegetsize2.xpi in URL field (does not use "/" between
returned folder object and concat file).
3. Trigger.
4. Check HD and log file.
Result: File sizeme.txt is installed. On Linux, size = 0. On Mac, size = 1378.
Expected: Size = 60K

Note: Try http://jimbob/jars/a_fileop_filegetsize3.xpi. This does use "/". This
time, Linux is correct, but Mac still off (size = 65).

Here is the Linux log file:

-------------------------------------------------------------------------------
http://jimbob/jars/a_fileop_filegetsize2.xpi  --  03/07/2000 16:33:55
-------------------------------------------------------------------------------

     Acceptance: a_fileop_filegetsize
     --------------------------------

     [1/1]      Installing: /u/depstein/builds/M14/mar07/package/sizeme.txt

     Install completed successfully
     The getSize part
     ----------------

     ** Path to known file = //u/depstein/builds/M14/mar07/packagesizeme.txt
     ** File.size should return 60K = 0

     Install completed successfully
     Finished Installation  03/07/2000 16:33:55
(Reporter)

Comment 1

18 years ago
added pp for keywords.
Keywords: pp
QA Contact: jimmylee → depstein

Updated

18 years ago
Target Milestone: M15

Comment 2

18 years ago
reassign to dbragg
bug meeting 3/20
Assignee: cathleen → dbragg
Depends on: 24984

Comment 3

18 years ago
moving to M16
Target Milestone: M15 → M16

Comment 4

18 years ago
-------------------------------------------------------------------------------
http://jimbob/jars/a_fileop_filegetsize.xpi  --  04/23/2000 22:17:40
-------------------------------------------------------------------------------
 
     Acceptance: a_fileop_filegetsize
     --------------------------------
 
     [1/1]      Installing: /builds/dougt/mozilla/dist/bin/sizeme.txt
 
     Install completed successfully
     The getSize part
     ----------------
 
     ** Path to known file = /builds/dougt/mozilla/dist/bin/sizeme.txt
     ** File.size should return 60K = 60646
     Finished Installation  04/23/2000 22:17:41

[dougt@y bin]$ ls -al  /builds/dougt/mozilla/dist/bin/sizeme.txt
-rwxrwxr-x   1 dougt    wheel       60646 Apr  6 21:51 /builds/dougt/mozilla/dis
t/bin/sizeme.txt

Looks good to me...  
Status: NEW → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → FIXED
(Reporter)

Comment 5

18 years ago
fixed. 'sizeme' file returns 60K on Mac and Linux.
Status: RESOLVED → VERIFIED
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.